Skip to content
Start here

List fleet status devices

zero_trust.dex.fleet_status.devices.list(DeviceListParams**kwargs) -> SyncV4PagePaginationArray[DeviceListResponse]
GET/accounts/{account_id}/dex/fleet-status/devices

List details for devices using WARP

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
account_id: str
maxLength32
from_: str

Time range beginning in ISO format

page: float

Page number

minimum1
per_page: float

Number of results per page

maximum50
minimum1
to: str

Time range end in ISO format

colo: Optional[str]

Cloudflare colo

device_id: Optional[str]

Device-specific ID, given as UUID v4

mode: Optional[str]

The mode under which the WARP client is run

platform: Optional[str]

Operating system

sort_by: Optional[Literal["colo", "device_id", "mode", 4 more]]

Dimension to sort results by

One of the following:
"colo"
"device_id"
"mode"
"platform"
"status"
"timestamp"
"version"
source: Optional[Literal["last_seen", "hourly", "raw"]]

Source:

  • hourly - device details aggregated hourly, up to 7 days prior
  • last_seen - device details, up to 60 minutes prior
  • raw - device details, up to 7 days prior
One of the following:
"last_seen"
"hourly"
"raw"
status: Optional[str]

Network status

version: Optional[str]

WARP client version

ReturnsExpand Collapse
class DeviceListResponse:
colo: str

Cloudflare colo

device_id: str

Device identifier (UUID v4)

mode: str

The mode under which the WARP client is run

platform: str

Operating system

status: str

Network status

timestamp: str

Timestamp in ISO format

version: str

WARP client version

always_on: Optional[bool]
battery_charging: Optional[bool]
battery_cycles: Optional[int]
formatint64
battery_pct: Optional[float]
formatfloat
connection_type: Optional[str]
cpu_pct: Optional[float]
formatfloat
cpu_pct_by_app: Optional[List[List[CPUPctByApp]]]
cpu_pct: Optional[float]
formatfloat
name: Optional[str]
device_ipv4: Optional[DeviceIPV4]
address: Optional[str]
asn: Optional[int]
aso: Optional[str]
location: Optional[DeviceIPV4Location]
city: Optional[str]
country_iso: Optional[str]
state_iso: Optional[str]
zip: Optional[str]
netmask: Optional[str]
version: Optional[str]
device_ipv6: Optional[DeviceIPV6]
address: Optional[str]
asn: Optional[int]
aso: Optional[str]
location: Optional[DeviceIPV6Location]
city: Optional[str]
country_iso: Optional[str]
state_iso: Optional[str]
zip: Optional[str]
netmask: Optional[str]
version: Optional[str]
device_name: Optional[str]

Device identifier (human readable)

disk_read_bps: Optional[int]
formatint64
disk_usage_pct: Optional[float]
formatfloat
disk_write_bps: Optional[int]
formatint64
doh_subdomain: Optional[str]
estimated_loss_pct: Optional[float]
formatfloat
firewall_enabled: Optional[bool]
gateway_ipv4: Optional[GatewayIPV4]
address: Optional[str]
asn: Optional[int]
aso: Optional[str]
location: Optional[GatewayIPV4Location]
city: Optional[str]
country_iso: Optional[str]
state_iso: Optional[str]
zip: Optional[str]
netmask: Optional[str]
version: Optional[str]
gateway_ipv6: Optional[GatewayIPV6]
address: Optional[str]
asn: Optional[int]
aso: Optional[str]
location: Optional[GatewayIPV6Location]
city: Optional[str]
country_iso: Optional[str]
state_iso: Optional[str]
zip: Optional[str]
netmask: Optional[str]
version: Optional[str]
handshake_latency_ms: Optional[float]
formatint64
isp_ipv4: Optional[ISPIPV4]
address: Optional[str]
asn: Optional[int]
aso: Optional[str]
location: Optional[ISPIPV4Location]
city: Optional[str]
country_iso: Optional[str]
state_iso: Optional[str]
zip: Optional[str]
netmask: Optional[str]
version: Optional[str]
isp_ipv6: Optional[ISPIPV6]
address: Optional[str]
asn: Optional[int]
aso: Optional[str]
location: Optional[ISPIPV6Location]
city: Optional[str]
country_iso: Optional[str]
state_iso: Optional[str]
zip: Optional[str]
netmask: Optional[str]
version: Optional[str]
metal: Optional[str]
network_rcvd_bps: Optional[int]
formatint64
network_sent_bps: Optional[int]
formatint64
network_ssid: Optional[str]
person_email: Optional[str]

User contact email address

ram_available_kb: Optional[int]
formatint64
ram_used_pct: Optional[float]
formatfloat
ram_used_pct_by_app: Optional[List[List[RamUsedPctByApp]]]
name: Optional[str]
ram_used_pct: Optional[float]
formatfloat
switch_locked: Optional[bool]
wifi_strength_dbm: Optional[int]
formatint64

List fleet status devices

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.dex.fleet_status.devices.list(
    account_id="01a7362d577a6c3019a474fd6f485823",
    from_="2023-10-11T00:00:00Z",
    page=1,
    per_page=10,
    to="2023-10-11T00:00:00Z",
)
page = page.result[0]
print(page.network_ssid)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "colo": "SJC",
      "deviceId": "deviceId",
      "mode": "proxy",
      "platform": "windows",
      "status": "connected",
      "timestamp": "2023-10-11T00:00:00Z",
      "version": "1.0.0",
      "alwaysOn": true,
      "batteryCharging": true,
      "batteryCycles": 0,
      "batteryPct": 0,
      "connectionType": "connectionType",
      "cpuPct": 0,
      "cpuPctByApp": [
        [
          {
            "cpu_pct": 0,
            "name": "name"
          }
        ]
      ],
      "deviceIpv4": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "deviceIpv6": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "deviceName": "deviceName",
      "diskReadBps": 0,
      "diskUsagePct": 0,
      "diskWriteBps": 0,
      "dohSubdomain": "dohSubdomain",
      "estimatedLossPct": 0,
      "firewallEnabled": true,
      "gatewayIpv4": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "gatewayIpv6": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "handshakeLatencyMs": 0,
      "ispIpv4": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "ispIpv6": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "metal": "metal",
      "networkRcvdBps": 0,
      "networkSentBps": 0,
      "networkSsid": "networkSsid",
      "personEmail": "personEmail",
      "ramAvailableKb": 0,
      "ramUsedPct": 0,
      "ramUsedPctByApp": [
        [
          {
            "name": "name",
            "ram_used_pct": 0
          }
        ]
      ],
      "switchLocked": true,
      "wifiStrengthDbm": 0
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "colo": "SJC",
      "deviceId": "deviceId",
      "mode": "proxy",
      "platform": "windows",
      "status": "connected",
      "timestamp": "2023-10-11T00:00:00Z",
      "version": "1.0.0",
      "alwaysOn": true,
      "batteryCharging": true,
      "batteryCycles": 0,
      "batteryPct": 0,
      "connectionType": "connectionType",
      "cpuPct": 0,
      "cpuPctByApp": [
        [
          {
            "cpu_pct": 0,
            "name": "name"
          }
        ]
      ],
      "deviceIpv4": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "deviceIpv6": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "deviceName": "deviceName",
      "diskReadBps": 0,
      "diskUsagePct": 0,
      "diskWriteBps": 0,
      "dohSubdomain": "dohSubdomain",
      "estimatedLossPct": 0,
      "firewallEnabled": true,
      "gatewayIpv4": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "gatewayIpv6": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "handshakeLatencyMs": 0,
      "ispIpv4": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "ispIpv6": {
        "address": "address",
        "asn": 0,
        "aso": "aso",
        "location": {
          "city": "city",
          "country_iso": "country_iso",
          "state_iso": "state_iso",
          "zip": "zip"
        },
        "netmask": "netmask",
        "version": "version"
      },
      "metal": "metal",
      "networkRcvdBps": 0,
      "networkSentBps": 0,
      "networkSsid": "networkSsid",
      "personEmail": "personEmail",
      "ramAvailableKb": 0,
      "ramUsedPct": 0,
      "ramUsedPctByApp": [
        [
          {
            "name": "name",
            "ram_used_pct": 0
          }
        ]
      ],
      "switchLocked": true,
      "wifiStrengthDbm": 0
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}